Bug 147262 - Doesn't quit as expected when clicking on File/Quit if windows with multiple tabs are open
Doesn't quit as expected when clicking on File/Quit if windows with multiple ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
massRequestForReproduction
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-05 12:06 EST by Nils Philippsen
Modified: 2008-02-12 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 17:31:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 412640 None None None Never

  None (edit)
Description Nils Philippsen 2005-02-05 12:06:31 EST
Description of problem:

When having windows open with more than one tab and if "Warn when closing
multiple tabs" is selected, Firefox doesn't react visibly on clicking File/Quit
(or Alt+F/Q).

Version-Release number of selected component (if applicable):

firefox-1.0-2.fc3

How reproducible:

Easy

Steps to Reproduce:
1. Select "Warn when closing multiple tabs"
2. Open multiple tabs in some windows, hide/iconify at least on of these
3. Click File/Quit or press Alt-F/Q
  
Actual results:

No visible reaction

Expected results:

Firefox asks the user something along this: "You have windows with multiple tabs
open, do you really want to quit?" and quits. Or brings all windows with
multiple tabs open to the foreground as well as the dialog asking whether I'm
sure to close all these tabs. Certainly not having these dialogs iconified along
with the respective window ;-).

Additional info:

metacity-2.8.6-2 is the window manager.
Comment 1 Matthew Miller 2006-07-10 18:12:27 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Nils Philippsen 2006-07-11 08:33:46 EDT
Still the case with FC5, when doing that you have to actively search for the
small dialog boxes asking you whether you really want to close that windows
(which sometimes hide behind the windows in question). Better would be one
dialog box "you have N windows with M tabs open, do you really want to quit?".
Comment 3 Matěj Cepl 2007-07-18 13:32:43 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Nils Philippsen 2007-07-18 15:09:56 EDT
Still the case on F7:

firefox-2.0.0.4-2.fc7
metacity-2.18.5-1.fc7
Comment 5 Matěj Cepl 2008-02-08 15:43:08 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 6 Nils Philippsen 2008-02-11 04:09:18 EST
Just the same with:

firefox-2.0.0.10-3.fc8
metacity-2.20.1-1.fc8
Comment 7 Matěj Cepl 2008-02-11 18:37:28 EST
Please, report the content of the settings in about:config for these two keys:

browser.tabs.warnOnClose

and

browser.tabs.warnOnCloseOther
Comment 9 Matěj Cepl 2008-02-11 18:41:07 EST
Did hitting [x] icon on the corner of the window work?
Comment 10 Nils Philippsen 2008-02-12 04:40:37 EST
(In reply to comment #7)
> Please, report the content of the settings in about:config for these two keys:
> 
> browser.tabs.warnOnClose
> 
> and
> 
> browser.tabs.warnOnCloseOther

Both are set to their default values of "true".

(In reply to comment #9)
> Did hitting [x] icon on the corner of the window work?

Of course it works, since the window to be closed is always in the foreground,
so the confirmation dialog box is also visible ;-).
Comment 11 Matěj Cepl 2008-02-12 17:31:02 EST
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=412640) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.